<template>
  <lazy-theme-desktop-main-game
    v-if="['desktop/main', 'desktop/global'].includes(theme)"
  />
  <lazy-theme-desktop-playful-game v-else-if="theme === 'desktop/playful'" />
  <lazy-theme-desktop-pure-game v-else-if="theme === 'desktop/pure'" />
  <lazy-theme-mobile-pure-game v-else-if="theme === 'mobile/pure'" />
  <lazy-theme-mobile-modern-game v-else-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-china-game v-else-if="theme === 'desktop/china'" />
  <lazy-theme-desktop-modern-game v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-mobile-china-game v-else-if="theme === 'mobile/china'" />
  <lazy-theme-desktop-black-game v-else-if="theme === 'desktop/black'" />
  <lazy-theme-mobile-black-game v-else-if="theme === 'mobile/black'" />
  <lazy-shared-game-filter-module
    v-else-if="
      theme === 'mobile/main' && commonHelper.isIndependentGameFilterPage()
    "
  />
  <lazy-theme-mobile-main-game-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-playful-game v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-game-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-sbo-game v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-mobile-sbo-game v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-desktop-cool88-game v-else-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-game v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-desktop-peru-game v-else-if="theme.includes('/peru')" />
</template>
<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
